Skip to main content
GET
/
api
/
registry
/
agents
List agents
curl --request GET \
  --url https://agenticadvertising.org/api/registry/agents
{
  "agents": [
    {
      "url": "<string>",
      "name": "<string>",
      "type": "creative",
      "protocol": "mcp",
      "description": "<string>",
      "mcp_endpoint": "<string>",
      "contact": {
        "name": "<string>",
        "email": "<string>",
        "website": "<string>"
      },
      "added_date": "<string>",
      "source": "registered",
      "member": {
        "slug": "<string>",
        "display_name": "<string>"
      },
      "discovered_from": {
        "publisher_domain": "<string>",
        "authorized_for": "<string>"
      },
      "health": {
        "online": true,
        "checked_at": "<string>",
        "response_time_ms": 123,
        "tools_count": 123,
        "resources_count": 123,
        "error": "<string>"
      },
      "stats": {
        "property_count": 123,
        "publisher_count": 123,
        "publishers": [
          "<string>"
        ],
        "creative_formats": 123
      },
      "capabilities": {
        "tools_count": 123,
        "tools": [
          {
            "name": "<string>",
            "description": "<string>"
          }
        ],
        "standard_operations": {
          "can_search_inventory": true,
          "can_get_availability": true,
          "can_reserve_inventory": true,
          "can_get_pricing": true,
          "can_create_order": true,
          "can_list_properties": true
        },
        "creative_capabilities": {
          "formats_supported": [
            "<string>"
          ],
          "can_generate": true,
          "can_validate": true,
          "can_preview": true
        }
      },
      "compliance": {
        "status": "passing",
        "lifecycle_stage": "development",
        "tracks": {
          "core": "pass",
          "products": "fail"
        },
        "streak_days": 123,
        "last_checked_at": "<string>",
        "headline": "<string>"
      },
      "publisher_domains": [
        "<string>"
      ],
      "property_summary": {
        "total_count": 123,
        "count_by_type": {},
        "tags": [
          "<string>"
        ],
        "publisher_count": 123
      }
    }
  ],
  "count": 123,
  "sources": {
    "registered": 123,
    "discovered": 123
  }
}

Query Parameters

type
enum<string>
Available options:
creative,
signals,
sales,
governance,
si,
unknown
health
enum<string>
Available options:
true
capabilities
enum<string>
Available options:
true
properties
enum<string>
Available options:
true
compliance
enum<string>
Available options:
true

Response

200 - application/json

Agent list

agents
object[]
required
count
integer
required
sources
object
required